# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include desktop
class desktop (
  Boolean $display_manager_manage = $desktop::params::display_manager_manage,
  String $display_manager_package = $desktop::params::display_manager_package,

  Boolean $all_desktop_install    = $desktop::params::all_desktop_install,

  Boolean $mate_desktop_install   = $desktop::params::mate_desktop_install,
  String $mate_desktop_package    = $desktop::params::mate_desktop_package,

  Boolean $kde_desktop_install    = $desktop::params::kde_desktop_install,
  String $kde_desktop_package     = $desktop::params::kde_desktop_package,
) inherits desktop::params {
  if $desktop::display_manager_manage {
    contain desktop::dm
  }

  if $desktop::mate_desktop_install {
    contain desktop::mate
  }

  if $desktop::kde_desktop_install {
    contain desktop::kde
  }
}
