# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include desktop::params
class desktop::params {
  # Display manager variables
  $display_manager_manage = true
  $display_manager_package = $facts['os']['family'] ? {
    'Debian' => 'gdm3',
    default  => 'gdm',
  }

  # Common variables
  $all_desktop_install = false

  # MATE desktop variables
  $mate_desktop_install = $all_desktop_install
  $mate_desktop_package = $facts['os']['family'] ? {
    'RedHat'  => 'mate-desktop',
    'Debian'  => 'mate-desktop-environment',
    'FreeBSD' => 'mate',
  }

  # KDE desktop variables
  $kde_desktop_install = $all_desktop_install
  $kde_desktop_package = $facts['os']['family'] ? {
    'RedHat'  => 'kde-desktop',
    'Debian'  => 'kde-plasma-desktop',
    'FreeBSD' => 'kde5',
  }
}
